なんじゃくにっき2

ほげほげ。プログラミングの話題中心。ほか資格とか。

Ubuntu 14.04にrbenvでRuby 2.2.0インストール

Ubuntu 14.04にrbenvでRuby 2.2.0インストール

途中でopensslがないとかautoconfがないとか怒られた結果、依存ライブラリを 入れたりしたらいけた。

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install git build-essential autoconf libffi-dev zlib1g-dev libssl-dev libreadline-dev
git clone https://github.com/sstephenson/rbenv.git ~/.rbenv
echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> ~/.bashrc
echo 'eval "$(rbenv init -)"' >> ~/.bashrc
source ~/.bashrc
git clone https://github.com/sstephenson/ruby-build.git ~/.rbenv/plugins/ruby-build
rbenv install -l
rbenv install 2.2.0
rbenv global 2.2.0
rbenv rehash
rbenv version